### Constructor

# Clutter ColorStateIcc new

#### Declaration [src]

    ClutterColorState*
    clutter_color_state_icc_new (
      ClutterContext* context,
      const uint8_t* icc_bytes,
      uint32_t icc_length,
      GError** error
    )

#### Description [src]

Create a new ClutterColorStateIcc object from an icc profile.

#### Parameters

`context`

  Type: `ClutterContext`

  No description available.

  The data is owned by the caller of the function.

`icc_bytes`

  Type: `const uint8_t*`

  No description available.

  The data is owned by the caller of the function.

`icc_length`

  Type: `uint32_t`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ClutterColorState`

A new ClutterColorState object.

The caller of the function takes ownership of the data, and is responsible for freeing it.